### Class

# Ide SnippetChunk

#### Description

    final class Ide.SnippetChunk : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_snippet_chunk_new

No description available.

#### Instance methods

###### ide_snippet_chunk_copy

Copies the source snippet.

Available since: 3.32

###### ide_snippet_chunk_get_context

Gets the context for the snippet insertion.

Available since: 3.32

###### ide_snippet_chunk_get_spec

No description available.

###### ide_snippet_chunk_get_tab_stop

No description available.

###### ide_snippet_chunk_get_text

No description available.

###### ide_snippet_chunk_get_text_set

No description available.

###### ide_snippet_chunk_set_context

No description available.

###### ide_snippet_chunk_set_spec

No description available.

###### ide_snippet_chunk_set_tab_stop

No description available.

###### ide_snippet_chunk_set_text

No description available.

###### ide_snippet_chunk_set_text_set

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.SnippetChunk:context

No description available.

###### Ide.SnippetChunk:spec

No description available.

###### Ide.SnippetChunk:tab-stop

No description available.

###### Ide.SnippetChunk:text

No description available.

###### Ide.SnippetChunk:text-set

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSnippetChunkClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.